<?php defined('SYSPATH') OR die('No direct access allowed.');
require_once('op5/license/op5lic.php');
require_once('op5/sysinfo.php');

class License_Controller extends Authenticated_Controller
{

	public function __construct()
	{
		parent::__construct();

		$template = new View('templates/default');
		$template->title = 'op5 Config :: License Configuration';
		$template->content = $view = new View('license');

		$view->license_preview = false;
		$error = null;

		if(isset($_POST['timestamp'])) {
			$_POST['timestamp'] = (int) $_POST['timestamp'];
		}
		$view->license = new op5lic();

		if (isset($_POST['action']) && $_POST['action'] == 'upload') {
			$view->timestamp = time();
			$view->license = new op5lic($_FILES['license_file']['tmp_name']);
			if($errors = $view->license->fetch_load_errors()) {
				$error = implode('<br/>', $errors);
			} elseif (@move_uploaded_file($_FILES['license_file']['tmp_name'], '/tmp/op5license-tmp-' . $view->timestamp)) {
				$view->license_preview = true;
			} else {
				$error = 'Could not move uploaded file. This should not happen, please try again.';
			}
		} elseif (isset($_POST['action']) && $_POST['action'] == 'install' && isset($_POST['timestamp'])) {
			if (!is_file('/tmp/op5license-tmp-' . $_POST['timestamp'])) {
				$view->msg['error'] = 'Could not find the uploaded file. Aborting.';
			}

			exec('/opt/op5sys/bin/op5license-install /tmp/op5license-tmp-' . $_POST['timestamp'],
				$output, $status);

			if ($status) {
				$error = 'License installation failed! ' . $output[0];
			}
		}

		if($error) {
			$view->errors = (array) $error;
			$template->render(true);
			return;
		}

		$usage = op5sysinfo::instance()->get_usage();

		if ($view->license_preview) {
			$view->license = new op5lic('/tmp/op5license-tmp-' . $view->timestamp);
		}
		$view->license->query($usage);

		$template->render(TRUE);
	}

	public function index() {}
}
