<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>
<?php require_once('op5/license/op5lic.php'); ?>
<script type="text/javascript">
$(function() {
	helper.helptexts["upload_license"] = "You should have received a license file from op5. If you dont have a license file, please contact op5 support.";
});
</script>
<div id="content">
	<?php if ($license_preview): ?>
	<h1>Preview your license information before installing</h1>
	<p>Below you will find a preview of the license file you are trying to install. Please
	review the license file information. If there are no errors and your license information
	appears correct, go to the section "Install license" at the bottom of this page and click
	the <q>Install</q> button.</p>
	<p>If there are any problems with your license file, please contact op5 Support.</p>
	<?php endif; ?>

	<?php if (!empty($errors)): ?>
		<h1>License error</h1>
		<?php if (!file_exists(op5lic::DEFAULT_LICENSE_FILE)): ?>
		<p><strong>There is no license file installed on this system!</strong></p>
		<?php elseif (count($errors) > 0): ?>
		<p><strong>The following problems were encountered when loading your license file:</strong></p>
		<ul><?php
			foreach ($errors as $message)
				echo "<li>{$message}</li>";
		?></ul>
		<?php endif; ?>
		<p>If you have purchased op5 products but have not received a license file, or if
		there are any problems with your installed license file, please contact op5 Support.</p>
		<p>If you need to purchase a new license or upgrade an existing one, please contact
		op5 Sales.<br />
		Purchasing a license will give you the following benefits:</p><ul>
			<li>Professional support, email, telephone and access to support portal</li>
			<li>Automatic updates of new releases</li>
			<li>Access to customized development</li>
			<li>Professional training</li>
			<li>and much more</li>
		</ul>
		<form action="<?php echo op5lic::OP5_LICENSE_URL; ?>" method="get">
			<p>
				<input type="submit" value="Buy now" />
			</p>
		</form>
	<?php else:
		$license_customer = $license->fetch_customer_info();
		?>
		<h1>About your op5 Software license</h1>
		<p><strong>This software is licensed to:</strong><br />
		Name: <?php echo !empty($license_customer['name']) ? $license_customer['name'] : 'N/A'; ?><br />
		E-mail: <?php echo !empty($license_customer['email']) ? $license_customer['email'] : 'N/A'; ?><br />
		ID: <?php
		echo !empty($license_customer['number']) ? $license_customer['number'] : 'N/A';
		?><br />
		
		License issue date: <?php echo date('Y-m-d', $license->fetch_metric('time_issue')); ?><br />
		<?php $expire = $license->fetch_metric('time_expire');
		echo 'License expire date: '.($expire == op5lic::METRIC_INFINITY ? 'by special agreement' : date('Y-m-d', $expire)).'<br />'?>
		
		<?php
			echo '<ul>';
			$usage = op5sysinfo::instance()->get_usage();
			foreach ($license->fetch_license_metrics() as $prod => $max) {
				if ($prod == 'time_issue' || $prod == 'time_expire')
					continue;
				if ($max) {
					$max = $max === op5lic::METRIC_INFINITY ? 'by special agreement' : $max;
					printf('<li>%s: %s %s</li>', ucfirst($prod), $max, isset($usage[$prod]) ? ' (you use '.$usage[$prod].')' : '');
				}
			}
			echo '</ul>';
		?>
		
		</p>
		<?php endif; ?>

	<?php if ($license_preview): ?>
	<h1>Install license</h1>
	<p>If the license information above looks correct, press the <q>Install</q> button below to
	install your new license file.</p>
	<form action="/op5config/license" method="post">
		<div>
			<input type="hidden" name="timestamp" value="<?php echo $timestamp; ?>" />
			<input type="hidden" name="action" value="install" />
			<input type="submit" name="install" value="Install" />
		</div>
	</form>
	<?php else: ?>
	<h1>Install new license</h1>
	<p>Install a new license or replace your existing license. Upload your license file using the form below.</p>
	<form action="/op5config/license" method="post" enctype="multipart/form-data">
		<table summary="Upload license">
			<colgroup>
				<col class="td_column_name" />
				<col class="auto" />
			</colgroup>
			<tr>
				<td><a href="#" onclick="help('upload_license')">[?]</a> <label for="upload_license">Upload license file</label></td>
				<td>
					<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
					<input type="file" name="license_file" id="upload_license" value="" size="44" />
				</td>
			</tr>
			<tr class="button dotted-top">
				<td>&nbsp;</td>
				<td>
					<input type="hidden" name="action" value="upload" />
					<input type="submit" value="Upload" />
				</td>
			</tr>
		</table>
	</form>
	<?php endif; ?>
</div>
